Package org.eclipse.gef.common.beans.binding

# Class SetExpressionHelperEx<E>

java.lang.Object
org.eclipse.gef.common.collections.SetListenerHelperEx<E>
org.eclipse.gef.common.beans.binding.SetExpressionHelperEx<E>

Type Parameters:
  `E` - The element type of the `SetExpression`.

public class SetExpressionHelperEx<E> extends SetListenerHelperEx<E>
A utility class to support notifications for an `SetExpression`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.gef.common.collections.SetListenerHelperEx

`SetListenerHelperEx.AtomicChange<E>`

## Constructor Summary

Constructors
Constructor
Description
`SetExpressionHelperEx(javafx.beans.value.ObservableSetValue<E> observableValue)`
Constructs a new `SetExpressionHelperEx` for the given source `ObservableSetValue`.

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(javafx.beans.value.ChangeListener<? super javafx.collections.ObservableSet<E>> listener)`
Adds a new `ChangeListener` to this `SetExpressionHelperEx`.
`void`
`fireValueChangedEvent()`
Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetChangeListeners`.
`void`
`fireValueChangedEvent(javafx.collections.SetChangeListener.Change<? extends E> change)`
Fires notifications to all attached `InvalidationListeners`, and `SetChangeListeners`.
`void`
`removeListener(javafx.beans.value.ChangeListener<? super javafx.collections.ObservableSet<E>> listener)`
Removes the given `ChangeListener` from this `SetChangeListener`.

### Methods inherited from class org.eclipse.gef.common.collections.SetListenerHelperEx

`addListener, addListener, getSource, notifyInvalidationListeners, notifySetChangeListeners, removeListener, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SetExpressionHelperEx

public SetExpressionHelperEx(javafx.beans.value.ObservableSetValue<E> observableValue)
Constructs a new `SetExpressionHelperEx` for the given source `ObservableSetValue`.

Parameters:
  `observableValue` - The observableValue `ObservableSet`, which is used in change notifications.

## Method Details

### addListener

public void addListener(javafx.beans.value.ChangeListener<? super javafx.collections.ObservableSet<E>> listener)
Adds a new `ChangeListener` to this `SetExpressionHelperEx`. If the same listener is added more than once, it will be registered more than once and will receive multiple change events.

Parameters:
  `listener` - The listener to add.

### fireValueChangedEvent

public void fireValueChangedEvent()
Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetChangeListeners`.

### fireValueChangedEvent

public void fireValueChangedEvent(javafx.collections.SetChangeListener.Change<? extends E> change)
Fires notifications to all attached `InvalidationListeners`, and `SetChangeListeners`.

Overrides:
  `fireValueChangedEvent` in class `SetListenerHelperEx<E>`
Parameters:
  `change` - The change that needs to be propagated.

### removeListener

public void removeListener(javafx.beans.value.ChangeListener<? super javafx.collections.ObservableSet<E>> listener)
Removes the given `ChangeListener` from this `SetChangeListener`. If it was registered more than once, removes only one occurrence.

Parameters:
  `listener` - The `ChangeListener` to remove.